Name: pcre
Version: 8.35
Release: 1
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source0: ftp://ftp.csx.cam.ac.uk/pub/software/programming/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.csx.cam.ac.uk/pub/software/programming/%{name}/%{name}-%{version}.tar.bz2.sig
Source2: libpcre.so.0-aix32
Source3: libpcre.so.0-aix64
License: BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: sed
BuildRequires: bzip2 >= 1.0.2, zlib-devel >= 1.2.3, readline-devel >= 5.2
Requires: bzip2 >= 1.0.2, zlib >= 1.2.3, readline >= 5.2

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
export CXX="xlC -q64"
./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --enable-utf8 \
  --enable-unicode-properties \
  --enable-pcregrep-libz \
  --enable-pcregrep-libbz2 \
  --enable-pcretest-libreadline

make %{?_smp_mflags}

cp .libs/libpcre.so.1 .
cp .libs/libpcrecpp.so.0 .
cp .libs/libpcreposix.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
export CXX="xlC"
./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --enable-utf8 \
  --enable-unicode-properties \
  --enable-pcregrep-libz \
  --enable-pcregrep-libbz2 \
  --enable-pcretest-libreadline
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libpcre.a ./libpcre.so.1
${AR} -q .libs/libpcrecpp.a ./libpcrecpp.so.0
${AR} -q .libs/libpcreposix.a ./libpcreposix.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpcrecpp.a ./libpcrecpp.so.0
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpcreposix.a ./libpcreposix.so.0

# Add the older 8.21 shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE2} libpcre.so.0
/usr/bin/strip -X32 -e libpcre.so.0
/usr/bin/ar -X32 -q ${RPM_BUILD_ROOT}%{_libdir}/libpcre.a libpcre.so.0
cp %{SOURCE3} libpcre.so.0
/usr/bin/strip -X64 -e libpcre.so.0
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/libpcre.a libpcre.so.0

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS LICENCE README
%{_bindir}/pcregrep
%{_bindir}/pcretest
%{_libdir}/*.a
%{_mandir}/man1/pcregrep.1
%{_mandir}/man1/pcretest.1
/usr/bin/pcregrep
/usr/bin/pcretest
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_bindir}/pcre-config
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/pcre-config.1
%{_mandir}/man3/*
/usr/bin/pcre-config
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Apr 04 2014 Michael Perzl <michael@perzl.org> - 8.35-1
- updated to version 8.35

* Sun Dec 15 2013 Michael Perzl <michael@perzl.org> - 8.34-1
- updated to version 8.34

* Tue May 28 2013 Michael Perzl <michael@perzl.org> - 8.33-1
- updated to version 8.33

* Sat Dec 01 2012 Michael Perzl <michael@perzl.org> - 8.32-1
- updated to version 8.32

* Sat Jul 07 2012 Michael Perzl <michael@perzl.org> - 8.31-1
- updated to version 8.31

* Mon Jun 18 2012 Michael Perzl <michael@perzl.org> - 8.30-1
- updated to version 8.30

* Tue Dec 13 2011 Michael Perzl <michael@perzl.org> - 8.21-1
- updated to version 8.21

* Fri Oct 21 2011 Michael Perzl <michael@perzl.org> - 8.20-1
- updated to version 8.20

* Tue Aug 16 2011 Michael Perzl <michael@perzl.org> - 8.13-1
- updated to version 8.13

* Sat Jan 15 2011 Michael Perzl <michael@perzl.org> - 8.12-1
- updated to version 8.12

* Sat Dec 11 2010 Michael Perzl <michael@perzl.org> - 8.11-1
- updated to version 8.11

* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 8.10-2
- removed dependency on bzip2 >= 1.0.5

* Tue Jun 29 2010 Michael Perzl <michael@perzl.org> - 8.10-1
- updated to version 8.10

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 8.02-1
- updated to version 8.02

* Wed Oct 21 2009 Michael Perzl <michael@perzl.org> - 8.00-1
- updated to version 8.00

* Thu Apr 16 2009 Michael Perzl <michael@perzl.org> - 7.9-1
- updated to version 7.9, added external dependencies for pcregrep

* Mon Sep 08 2008 Michael Perzl <michael@perzl.org> - 7.8-1
- updated to version 7.8

* Fri May 09 2008 Michael Perzl <michael@perzl.org> - 7.7-1
- updated to version 7.7

* Tue Jan 29 2008 Michael Perzl <michael@perzl.org> - 7.6-1
- updated to version 7.6

* Fri Jan 10 2008 Michael Perzl <michael@perzl.org> - 7.5-1
- updated to version 7.5

* Thu Jan 03 2008 Michael Perzl <michael@perzl.org> - 7.4-2
- included both 32-bit and 64-bit shared objects

* Thu Oct 18 2007 Michael Perzl <michael@perzl.org> - 7.4-1
- first version for AIX V5.1 and higher
